#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/reno.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'reno\.tests\.(?!test_cache\.TestCache\.test_build_cache_db.*|test_semver\.TestSemVer.*)'

endif

override_dh_sphinxdoc:
	# Disabling sphinx doc generation as it fails if no git files are present
	mkdir -p debian/python-reno-doc/usr/share/doc/python-reno-doc/html
	cp -auxf doc/source/*.rst debian/python-reno-doc/usr/share/doc/python-reno-doc/html
	#sphinx-build -b html doc/source debian/python-reno-doc/usr/share/doc/python-reno-doc/html
	#dh_sphinxdoc -O--buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
